#pragma once
#ifndef __ImageNetOperator__H_
#define	__ImageNetOperator__H_
#include "BaseConstVariable.h"
#include <QString>


void InitCreateImageXYZProcess(QString& outImageLLPath, QString& outImageXYZPath, QString& InEchoGPSDataPath, double& NearRange, double& RangeResolution, int64_t& RangeNum);

bool OverlapCheck(QString& ImageLLPath, QString& ImageDEMPath);

bool GPSPointsNumberEqualCheck(QString& ImageLLPath, QString& InEchoGPSDataPath);

void InterploateClipAtiByRefDEM(QString ImageLLPath, QString& ImageDEMPath, QString& outImageLLAPath, QString& InEchoGPSDataPath);
void InterploateAtiByRefDEM(QString& ImageLLPath, QString& ImageDEMPath, QString& outImageLLAPath, QString& InEchoGPSDataPath);
int  ReflectTable_WGS2Range(QString dem_rc_path, QString outOriSimTiffPath, QString ori_sim_count_tiffPath, long OriHeight, long OriWidth);

int ResampleEChoDataFromGeoEcho(QString L2complexechodataPath, QString RangeLooktablePath, QString L1AEchoDataPath);

int ResampleRangeDataFromGeoImage(QString geodataPath, QString RangeLooktablePath, QString RangeDataPath);


void InterpLookTableRfromDEM(QString lonlatPath, QString DEMPath, QString outllrpath);

void RangeLooktableLLA_2_RangeLooktableXYZ(QString LLAPath, QString outXYZPath);


#endif
